Bug 1635929 (CVE-2018-14659) - CVE-2018-14659 glusterfs: Unlimited file creation via "GF_XATTR_IOSTATS_DUMP_KEY" xattr allows for denial of service
Summary: CVE-2018-14659 glusterfs: Unlimited file creation via "GF_XATTR_IOSTATS_DUMP_...
Status: NEW
Alias: CVE-2018-14659
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20181031:0800,...
Keywords: Security
Depends On: 1644757 1616829 1636305 1644583 1647665 1647669
Blocks: 1635927 1644080
TreeView+ depends on / blocked
 
Reported: 2018-10-04 01:02 UTC by Sam Fowler
Modified: 2018-11-08 05:23 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in glusterfs server which allowed clients to create io-stats dumps on server node. A remote, authenticated attacker could use this flaw to create io-stats dump on a server without any limitation and utilizing all available inodes resulting in remote denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3431 None None None 2018-10-31 08:43 UTC
Red Hat Product Errata RHSA-2018:3432 None None None 2018-10-31 08:45 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:58 UTC

Description Sam Fowler 2018-10-04 01:02:20 UTC
The Gluster file system through versions 4.1.4 and 3.1.2 is vulnerable to a denial of service attack via use of the "GF_XATTR_IOSTATS_DUMP_KEY" xattr. A remote, authenticated attacker could exploit this by mounting a Gluster volume and repeatedly calling "setxattr(2)" to trigger a state dump and create an arbitrary number of files in the server's runtime directory.

Comment 1 Sam Fowler 2018-10-04 01:02:31 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 4 Doran Moppert 2018-10-30 00:49:04 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network.

Comment 5 Siddharth Sharma 2018-10-31 08:12:56 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1644583]

Comment 6 errata-xmlrpc 2018-10-31 08:43:39 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:3431 https://access.redhat.com/errata/RHSA-2018:3431

Comment 7 errata-xmlrpc 2018-10-31 08:44:45 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:3432 https://access.redhat.com/errata/RHSA-2018:3432

Comment 8 Siddharth Sharma 2018-11-01 05:23:55 UTC
upstream fix:

https://review.gluster.org/#/c/glusterfs/+/21530/

Comment 9 errata-xmlrpc 2018-11-05 14:58:38 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.